## This is an example file to demonstrate running a short session in
## ESS.  There are a couple of paragraphs, and the end has a small
## error in it.

## If there is no *R* process, one will be created when you start to send
## lines...
### short_session.R --- A short session.
## First step in the analysis.  Create some data.
x <- rnorm(100)
## generate some more data.
## C-c C-n on prev code  line will skip over this comment.
y <- runif(50)
range(x)
range(y)
mean(x)
mean(y)

## Note that if we do C-c C-c in the previous paragraph,
## we skip over this header and move 
## Now print some visual summaries
str(x)
str(y)

## now near the end let's just introduce a typo
## so that we can see the error handling.
stri(x)
